package com.muzhi.tianhe.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "yikongTB信息", description = "易控TB信息")
public class Tianhe {

    @ExcelIgnore
    @ApiModelProperty(value = "项目编号")
    private String xiangmubianhao;

    @ExcelIgnore
    @ApiModelProperty(value = "任务编号")
    private String taskid;

    @ExcelProperty("项目名称")
    @ApiModelProperty(value = "项目名称")
    private String xiangmumingcheng;

    @ExcelProperty("项目类别")
    @ApiModelProperty(value = "项目类别")
    private String xiangmuleibie;

    @ExcelProperty("里程碑")
    @ApiModelProperty(value = "里程碑")//任务字段
    private String lichengbei;

    @ExcelProperty("所属周")
    @ApiModelProperty(value = "所属周")//任务字段
    private String suoshuzhou;

    @ExcelProperty("本周工作内容")
    @ApiModelProperty(value = "本周工作内容")//任务字段
    private String benzhougongzuoneirong;

    @ExcelProperty("下周工作计划")
    @ApiModelProperty(value = "下周工作计划")//任务字段
    private String xiazhougongzuojihua;

    @ExcelProperty("项目事项清单")
    @ApiModelProperty(value = "项目事项清单")//任务字段
    private String xiangmushixiangqingdan;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")//任务字段
    private String beizhu;

    @ExcelProperty("项目状态")
    @ApiModelProperty(value = "项目状态")
    private String xiangmuzhuangtai;

    @ExcelProperty("项目负责人")
    @ApiModelProperty(value = "项目负责人")
    private String xiangmufuzeren;

    @ExcelIgnore
    @ApiModelProperty(value = "项目负责人编号")
    private String xiangmufuzerenid;

    @ExcelProperty("项目创建时间")
    @ApiModelProperty(value = "项目创建时间")
    private String xiangmuchuangjianshijian;

    @ExcelProperty("任务开始时间")
    @ApiModelProperty(value = "任务开始时间")//任务字段
    private String renwukaishishijian;

    @ExcelProperty("任务结束时间")
    @ApiModelProperty(value = "任务结束时间")//任务字段
    private String renwujieshushijian;

    @ExcelProperty("任务执行人")
    @ApiModelProperty(value = "任务执行人")//任务字段
    private String renwuzhixingren;

    @ExcelIgnore
    @ApiModelProperty(value = "任务执行人编号")//任务字段
    private String renwuzhixingrenid;


    // 此字段不映射到数据库表中
    @TableField(exist = false)
    @ExcelProperty("是否归档")
    private String shifouguidangStr;

    public String getShifouguidangStr() {
        return shifouguidang==0?"未归档":"已归档";
    }

    @ExcelIgnore
    @ApiModelProperty(value = "是否归档（0未归档；1已归档）")
    private int shifouguidang;
}
