package com.muzhi.tianhe.entity.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TianheQuery {

    // https://mc.cloudpure.cn/tianhe/tbservice/getTianheTB?page=1&limit=10
    // &name=&xmbh&xmfzr=&xmzt&sfgd=&rwStart=&rwEnd=

    @ApiModelProperty(value = "项目名称,模糊查询")
    private String name;

    @ApiModelProperty(value = "项目编号,模糊查询")
    private String xmbh;

    @ApiModelProperty(value = "项目负责人,模糊查询")
    private String xmfzr;

    @ApiModelProperty(value = "项目状态,模糊查询")
    private String xmzt;

    @ApiModelProperty(value = "是否归档 0未归档 1已归档")
    private Integer sfgd;

    @ApiModelProperty(value = "任务时间（开始）", example = "2019-01-01 10:10:10")
    private String rwStart;

    @ApiModelProperty(value = "任务时间（结束）", example = "2019-01-01 10:10:10")
    private String rwEnd;

    @ApiModelProperty(value = "用户编号")
    private String userId;
}
